## CORBA Interface IExtendedAttributeSearch

Iterative Extended Dataset Attributes Search

### Definition

CORBA Module SAS

### IExtendedAttributeSearch Description

CORBA Definitions
exception NoMoreAttributes |
exception ExtendedAttributesError |
method GetNextAttributeSearch |
method CloseAttributeSearch |

Java Classes
IExtendedAttributeSearchHelper | Used to manipulate the IExtendedAttributeSearch type
IExtendedAttributeSearchHolder | Used to process the IExtendedAttributeSearch type as an out parameter
NoMoreAttributes |
NoMoreAttributesHelper | Used to manipulate the NoMoreAttributes type
NoMoreAttributesHolder | Used to process the NoMoreAttributes type as an out parameter
ExtendedAttributesError |
ExtendedAttributesErrorHelper | Used to manipulate the ExtendedAttributesError type
ExtendedAttributesErrorHolder | Used to process the ExtendedAttributesError type as an out parameter

Java Interfaces
IExtendedAttributeSearch | Iterative Extended Dataset Attributes Search

Java Interface IExtendedAttributeSearch

Iterative Extended Dataset Attributes Search

Package com.sas.iom.SAS

IExtendedAttributeSearch Description

`public interface IExtendedAttributeSearch
extends org.omg.CORBA.Object`

Method Summary

void | GetNextAttributeSearch ( StringSeqHolder oAttrName , IntSeqHolder oAttrNamel , StringSeqHolder oVarName , IntSeqHolder oVarNamel , StringSeqHolder oAttrValueS , IntSeqHolder oAttrValuel , DoubleSeqHolder oAttrValueD , OctetSeqHolder oAttrValueM , IntSeqHolder oFlags , org.omg.CORBA.LongHolder oRowsReturned ) throws ( NoMoreAttributes, ExtendedAttributesError, GenericError );
void | CloseAttributeSearch ()

Java Class IExtendedAttributeSearchHelper

public class IExtendedAttributeSearchHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IExtendedAttributeSearch type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributeSearchHelper

Java Class IExtendedAttributeSearchHolder

public class IExtendedAttributeSearchHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IExtendedAttributeSearch type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributeSearchHolder

CORBA Exception NoMoreAttributes

Description

Java Class NoMoreAttributes

public class NoMoreAttributes

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributeSearch_1_0Package.NoMoreAttributes

Java Class NoMoreAttributesHelper

public class NoMoreAttributesHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the NoMoreAttributes type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributeSearch_1_0Package.NoMoreAttributesHelper

Java Class NoMoreAttributesHolder

public class NoMoreAttributesHolder

Description
Implementing class for methods (_read, _write, _type) used to process the NoMoreAttributes type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributeSearch_1_0Package.NoMoreAttributesHolder

CORBA Exception ExtendedAttributesError

Description

Java Class ExtendedAttributesError

public class ExtendedAttributesError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IExtendedAttributeSearch_1_0Package.ExtendedAttributesError

Java Class ExtendedAttributesErrorHelper

public class ExtendedAttributesErrorHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the ExtendedAttributesError type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributeSearch_1_0Package.ExtendedAttributesErrorHelper

Java Class ExtendedAttributesErrorHolder

public class ExtendedAttributesErrorHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ExtendedAttributesError type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IExtendedAttributeSearch_1_0Package.ExtendedAttributesErrorHolder

CORBA Method GetNextAttributeSearch

Description

Usage

Java Method GetNextAttributeSearch

`void` GetNextAttributeSearch (

        StringSeqHolder oAttrName ,
        IntSeqHolder oAttrNamel ,
        StringSeqHolder oVarName ,
        IntSeqHolder oVarNamel ,
        StringSeqHolder oAttrValueS ,
        IntSeqHolder oAttrValuel ,
        DoubleSeqHolder oAttrValueD ,
        OctetSeqHolder oAttrValueM ,
        IntSeqHolder oFlags ,
        org.omg.CORBA.LongHolder oRowsReturned
        )
        throws (
                NoMoreAttributes,
                ExtendedAttributesError,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
oAttrName | out | StringSeqHolder |
oAttrNamel | out | IntSeqHolder |
oVarName | out | StringSeqHolder |
oVarNamel | out | IntSeqHolder |
oAttrValueS | out | StringSeqHolder |
oAttrValuel | out | IntSeqHolder |
oAttrValueD | out | DoubleSeqHolder |
oAttrValueM | out | OctetSeqHolder |
oFlags | out | IntSeqHolder |
oRowsReturned | out | org.omg.CORBA.LongHolder |

Example

CORBA Method CloseAttributeSearch

Description

Usage

Java Method CloseAttributeSearch

`void` CloseAttributeSearch ( )

Example